/*
 Prova_pinza.pde
 Il programma aziona il servo connesso alla porta 9
 in base al valore letto sulla porta 0.
  
 Vengono utilizzati i seguenti pin
 Pin +5V         -> Alimentazione
 Pin GND         -> Alimentazione
 Pin Digital 9   -> Azionamento servo
 Pin Analogico 0 -> lettura potenziometro
 
 Creato il 17/08/2011
 da Adriano Gandolfo <http://www.adrirobot.it>
 This example code is in the public domain.
 */

#include <Servo.h>
Servo myservo;     // creiamo la variabile myservo per controllare il servo-motore
int potpin = 0;   // pin analogico per leggere il potenziometro
int val;          // variabile per controllare i valori del potenziometro

void setup(){
  myservo.attach(9);  // pin in cui colleghiamo il servo-motore
  Serial.begin(9600);
}

void loop() {
  val = analogRead(potpin);          // leggiamo i valori del potenziometro (i valori analogici sono da 0 a 1024)
  val = map(val, 0, 1024, 0, 180);   // mappiamo il valori, ho messo un massimo di 180 ma possiamo cambiare 
  Serial.println(val);               // verifichaimo i valori se corrispondono alle nostre esigenze
  myservo.write(val);
}
